Do not miss any Atlas Agent Engine API changes, ever again

Subscribe to the Atlas Agent Engine API changelog to be up to date on recent changes.

RSS

Aug 10, 2026

main
1.0
Compare

API structure has changed

10 structure changes including:
1 Addition
9 Modifications
Modified 9 Breaking
GET /api/v1/organizations/{id}/policies
  • Response
  • 200 response Modified
    • application/json content type Modified
      • policies property Modified
        • bool_value property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
GET /api/v1/organizations/{id}/policies/{policy_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • bool_value property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
GET /api/v1/projects/{id}/policies
  • Response
  • 200 response Modified
    • application/json content type Modified
      • policies property Modified
        • bool_value property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
GET /api/v1/projects/{id}/policies/effective
  • Response
  • 200 response Modified
    • application/json content type Modified
      • policies property Modified
        • organization, project properties Modified
        • effective_bool_value property Removed
          • Removing a resource is always breaking unless it was deprecated before
            Breaking
GET /api/v1/projects/{id}/policies/{policy_id}
  • Response
  • 200 response Modified
    • application/json content type Modified
      • bool_value property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
POST /api/v1/organizations/{id}/policies
  • Body
  • application/json content type Modified
    • bool_value property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Response
  • 201 response Modified
    • application/json content type Modified
      • bool_value property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
POST /api/v1/projects/{id}/policies
  • Body
  • application/json content type Modified
    • bool_value property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Response
  • 201 response Modified
    • application/json content type Modified
      • bool_value property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
PUT /api/v1/organizations/{id}/policies/{policy_id}
  • Body
  • application/json content type Modified
    • bool_value property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • bool_value property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
PUT /api/v1/projects/{id}/policies/{policy_id}
  • Body
  • application/json content type Modified
    • bool_value property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • bool_value property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
Added 1
GET /api/v1/organizations/{id}/policies/rollout